be.fgov.ehealth.dics.protocol.v5

## Class FindNonMedicinalProductRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.dics.protocol.v5.DicsRequestType
    - - be.fgov.ehealth.dics.protocol.v5.FindNonMedicinalProductRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:04:04+02:00",
                 comments="JAXB RI v2.2.11")
      public class FindNonMedicinalProductRequest
      extends DicsRequestType
      implements Serializable

  Java class for FindNonMedicinalProductRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindNonMedicinalProductRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
             <choice>
               <element name="FindByCNK" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="FindByName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindNonMedicinalProductRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFindByCNK()` Gets the value of the findByCNK property.
    `String` | `getFindByName()` Gets the value of the findByName property.
    `void` | `setFindByCNK(String value)` Sets the value of the findByCNK property.
    `void` | `setFindByName(String value)` Sets the value of the findByName property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

      `getSearchDate, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindNonMedicinalProductRequest

          public FindNonMedicinalProductRequest()

  - ### Method Detail

    - #### getFindByName

          public String getFindByName()

      Gets the value of the findByName property.
      Returns:
        possible object is `String`

    - #### setFindByName

          public void setFindByName(String value)

      Sets the value of the findByName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFindByCNK

          public String getFindByCNK()

      Gets the value of the findByCNK property.
      Returns:
        possible object is `String`

    - #### setFindByCNK

          public void setFindByCNK(String value)

      Sets the value of the findByCNK property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.